<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "pedido_detalle".
 *
 * @property int $pedido_id
 * @property int $id
 * @property string $pro_codigo
 * @property int $exhibidor
 * @property int $consumido
 * @property int $cantidad
 * @property string $precio_unitario
 *
 * @property Pedido $pedido
 */
class PedidoDetalle extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'pedido_detalle';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['pedido_id', 'id', 'pro_codigo', 'precio_unitario'], 'required'],
            [['pedido_id', 'id', 'exhibidor', 'consumido', 'cantidad'], 'integer'],
            [['precio_unitario'], 'number'],
            [['pro_codigo'], 'string', 'max' => 20],
            [['pedido_id', 'id'], 'unique', 'targetAttribute' => ['pedido_id', 'id']],
            [['pedido_id'], 'exist', 'skipOnError' => true, 'targetClass' => Pedido::className(), 'targetAttribute' => ['pedido_id' => 'id']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'pedido_id' => 'Pedido ID',
            'id' => 'ID',
            'pro_codigo' => 'Pro Codigo',
            'exhibidor' => 'Exhibidor',
            'consumido' => 'Consumido',
            'cantidad' => 'Cantidad',
            'precio_unitario' => 'Precio Unitario',
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getPedido()
    {
        return $this->hasOne(Pedido::className(), ['id' => 'pedido_id']);
    }
}
